[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# GetCurrentDir

Return the current working directory of the application.

## Declaration

Source position: diskh.inc line 18

`function GetCurrentDir: AnsiString;`

## Description

GetCurrentDir returns the current working directory.

## Errors

None.

## See also

SetCurrentDir |  | Set the current directory of the application.
DiskFree |  | Return the amount of free diskspace
DiskSize |  | Return the total amount of diskspace.

## Example

    Program Example28;

    { This program demonstrates the GetCurrentDir function }

    Uses sysutils;

    Begin
      Writeln ('Current Directory is : ',GetCurrentDir);
    End.